Stophy

Channel

Retrieve channel metadata and content by channelUrl. Use the tab field to switch between videos, shorts, playlists, and about info.

Retrieve channel metadata and content by channelUrl. Use the tab field to switch between videos, shorts, playlists, and about info.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

POST
/v1/channel
curl -X POST "https://example.com/v1/channel" \  -H "Content-Type: application/json" \  -d '{    "channelUrl": "https://www.youtube.com/@mkbhd",    "tab": "video"  }'
{  "success": true,  "requestId": "string",  "cacheState": "hit | miss",  "creditsUsed": "number",  "creditsRemaining": "number",  "data": {    "channel": {      "id": "string",      "name": "string",      "handle": "string",      "channelUrl": "string",      "description": "string",      "subscriberCount": "string",      "videoCount": "string",      "isVerified": "boolean",      "thumbnails": [        {          "url": "string",          "width": "number",          "height": "number"        }      ],      "banners": [        {          "url": "string",          "width": "number",          "height": "number"        }      ]    },    "tab": "string",    "items": [      {        "id": "string",        "videoUrl": "string",        "title": "string",        "author": "string",        "authorId": "string",        "viewCount": "number",        "viewCountText": "string",        "duration": "string",        "durationSec": "number",        "durationText": "string",        "isLive": "boolean",        "isUpcoming": "boolean",        "upcomingAt": "string | null",        "publishedAt": "string",        "publishedAtText": "string",        "thumbnails": [          {            "url": "string",            "width": "number",            "height": "number"          }        ]      }    ],    "continuationToken": "string | null"  }}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}